import { FormSOP } from '../../libappsop/formsop';
import { ListSOP } from '../../libappsop/listsop';
import { DialogDummy } from '../dialogs/dialog.dummy';

export class FormTransportationAccounts extends FormSOP {
  public static readonly title = 'Transportation Accounts';

  public listTransportationAccounts = new ListTransportationAccounts();

  public constructor() {
    super('FormTransportationAccounts');
  }
}

export interface ListTransportationAccountsColumn {
  Account?: string;
  'Default value'?: string;
  'Default UoM'?: string;
}

export class ListTransportationAccounts extends ListSOP<DialogDummy, ListTransportationAccountsColumn> {
  public static readonly title = 'Transportation Accounts';

  public constructor() {
    super('ListAccounts', new DialogDummy());
  }
}
